##
## permissions.py
## Login : <uli@pu.smp.net>
## Started on  Wed May 11 13:05:37 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet, Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Local permissions for applicants/applications.
"""
import grok

# Application permissions
class ViewApplication(grok.Permission):
    grok.name('waeup.viewApplication')

class ViewFullApplication(grok.Permission):
    grok.name('waeup.viewFullApplication')

class EditApplication(grok.Permission):
    grok.name('waeup.editApplication')

class EditFullApplication(grok.Permission):
    grok.name('waeup.editFullApplication')

# Local roles
class ApplicationOwner(grok.Role):
    grok.name('waeup.local.ApplicationOwner')
    grok.title(u'Application Owner')
    grok.permissions('waeup.viewApplication', 'waeup.editApplication')
